%global _empty_manifest_terminate_build 0
Name:		python-asteval
Version:	0.9.30
Release:	1
Summary:	Safe, minimalistic evaluator of python expression using ast module
License:	MIT
URL:		https://github.com/newville/asteval
Source0:	https://files.pythonhosted.org/packages/7c/02/c26a895ec40b4f589b2fa6871ece7c03d7e2a85f60e348d6511f0bdf8fee/asteval-0.9.30.tar.gz
BuildArch:	noarch


%description
ASTEVAL provides a numpy-aware, safe(ish) 'eval' function
Emphasis is on mathematical expressions, and so numpy ufuncs
are used if available.  Symbols are held in the Interpreter
symbol table 'symtable':  a simple dictionary supporting a
simple, flat namespace.
Expressions can be compiled into ast node for later evaluation,
using the values in the symbol table current at evaluation time.

%package -n python3-asteval
Summary:	Safe, minimalistic evaluator of python expression using ast module
Provides:	python-asteval = %{version}-%{release}
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-pip
BuildRequires:	python3-setuptools_scm
BuildRequires:	python3-coverage
BuildRequires:	python3-pytest
BuildRequires:	python3-pytest-cov
BuildRequires:	python3-sphinx
Requires:	python3-importlib-metadata
%description -n python3-asteval
ASTEVAL provides a numpy-aware, safe(ish) 'eval' function
Emphasis is on mathematical expressions, and so numpy ufuncs
are used if available.  Symbols are held in the Interpreter
symbol table 'symtable':  a simple dictionary supporting a
simple, flat namespace.
Expressions can be compiled into ast node for later evaluation,
using the values in the symbol table current at evaluation time.

%package help
Summary:	Development documents and examples for asteval
Provides:	python3-asteval-doc
%description help
ASTEVAL provides a numpy-aware, safe(ish) 'eval' function
Emphasis is on mathematical expressions, and so numpy ufuncs
are used if available.  Symbols are held in the Interpreter
symbol table 'symtable':  a simple dictionary supporting a
simple, flat namespace.
Expressions can be compiled into ast node for later evaluation,
using the values in the symbol table current at evaluation time.

%prep
%autosetup -n asteval-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-asteval -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Sun Jun 25 2023 jiangxinyu <jiangxinyu@kylinos.cn> - 0.9.30-1
- Update package to version 0.9.30

* Thu Oct 13 2022 liqiuyu <liqiuyu@kylinos.cn> - 0.9.27-1
- Upgrade package to version 0.9.27

* Thu Jul 22 2021 Xu Jin <jinxu@kylinos.cn> - 0.9.25-1
- Update package to 0.9.25
- Add BuildRequires:python3-pip python-setuptools_scm python3-toml

* Thu Jul 16 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
